#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - pre-installation file for espeak services on EIS/FAIR
#
# Copyright (c) 2001-2017 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2007-09-20  jed
# Last Update:  $Id: preinstall.sh 45625 2017-03-28 15:48:39Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# read eislib etc.
. /var/install/include/eislib

pgmname=`basename $0`

# file names
module_name=espeak
deinstallfile=/var/install/deinstall/${module_name}

mecho --info "running preinstall.sh ..."

# set update marker
touch /var/run/${module_name}.update

# deinstall old software
mecho "deinstalling previously installed software ..."
/var/install/bin/del-package -p ${module_name} --update

exit 0
